For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • TRANSAK WHITELABEL API
    • End Points
      • GETGet KYC Requirement
      • GETGet Additional Requirements
      • GETGet KYC - IdProof Status
      • PATCHPatch User Details
      • POSTUpdate Purpose Of Usage
      • POSTSubmit SSN
      • POSTSubmit Source of Income
      • POSTUpload Proof Document
Dashboard
LogoLogo
TRANSAK WHITELABEL APIKYC

Update Purpose Of Usage

||View as Markdown|
POST
https://api-gateway-stg.transak.com/api/v2/kyc/purpose-of-usage
POST
/api/v2/kyc/purpose-of-usage
$curl -X POST https://api-gateway-stg.transak.com/api/v2/kyc/purpose-of-usage \
> -H "Content-Type: application/json" \
> -d '{
> "purposeList": [
> "Buying/selling crypto for investments",
> "Buying NFTs",
> "Buying crypto to use a web3 protocol"
> ]
>}'
1{
2 "data": {
3 "status": "SUBMITTED"
4 }
5}
The **Purpose Of Usage** is an **authenticated API call** that is a mandatory step in the **KYC process** for both **Simple KYC and Standard KYC**. As part of regulatory compliance, users must declare the **purpose of their cryptocurrency transactions**. This API allows you to submit the user’s **intended use case** by passing an array of supported purposes. **How It Works** - The purposeList parameter **must be an array** of one or more supported options. - You can submit **one or multiple purposes** at a time. - This is a required step **before proceeding with order placement and further transactions**. **Supported Purposes:** - "Buying/selling crypto for investments" - "Buying NFTs" - "Buying crypto to use a web3 protocol"
Was this page helpful?
Previous

Patch User Details

Next

Submit SSN

Built with

The Purpose Of Usage is an authenticated API call that is a mandatory step in the KYC process for both Simple KYC and Standard KYC.

As part of regulatory compliance, users must declare the purpose of their cryptocurrency transactions. This API allows you to submit the user’s intended use case by passing an array of supported purposes.

How It Works

  • The purposeList parameter must be an array of one or more supported options.

  • You can submit one or multiple purposes at a time.

  • This is a required step before proceeding with order placement and further transactions.

Supported Purposes:

  • “Buying/selling crypto for investments”

  • “Buying NFTs”

  • “Buying crypto to use a web3 protocol”

Headers

authorizationstringOptional

Authorization token is the accessToken received from the API - api/v2/auth/verify

Note: This is not applicable for Auth Reliance Flows

x-user-identifierstringOptional

Your authenticated user Email Id address.

Note: This is applicable only for Auth Reliance Flows

x-access-tokenstringOptional

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

Note: This is applicable only for Auth Reliance Flows

Request

This endpoint expects an object.
purposeListlist of stringsRequired

Response

200 - Success

dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error